import os
from bluetooth import *
import threading

def listening():

    while True:
        data_rcv = client_sock.recv(1024)
        print("Received data: {}".format(data_rcv))

def writing():

    while True:
        data = input("Type something -> ")
        client_sock.send(data)



os.system("hciconfig hci0 up")
os.system("hciconfig hci0 piscan")

#apt-get install libbluetooth-dev


server_sock=BluetoothSocket(RFCOMM)
server_sock.bind(("",PORT_ANY))
server_sock.listen(1)

port = server_sock.getsockname()[1]
print("Port => {}".format(port))

uuid = "94f39d29-7d6d-437d-973b-fba39e49d4ee" # Uuid inventato, dobbiamo discutere su come generarlo per tuttu

'''
advertise_service( server_sock, "MoviBleSocket",
                   service_id = uuid,
                   service_classes = [ uuid, SERIAL_PORT_CLASS ],
                   profiles = [ SERIAL_PORT_PROFILE ], 
#                   protocols = [ OBEX_UUID ] --> E' un protocollo per il trasferimento binario. Non ci serve ma ricordiamoci che esiste
                 )
'''

client_sock , client_info = server_sock.accept()
print("Connection established with {}".format(client_info))

thread1 = threading.Thread(target=listening, daemon = True)
thread1.start()
thread2 = threading.Thread(target=writing, daemon = True)
thread2.start()

thread1.join()
thread2.join()

'''
try:
    while True:
        print
        data_rcv = client_sock.recv(1024)
        print("Received data: {}".format(data_rcv))
        data = input("Type something -> ")
        client_sock.send(data)
except IOError:
    pass
'''

client_sock.close()
server_sock.close()
